# 81. Заявка: Получаване на GeoJSON на „EquationMap“

Вземи GeoJSON на "EquationMaps" филтрирани по `equationMapUuids`.

Атрибутът `equationMapGeojson` съдържащ GeoJSON с `Многоъгълници (Polygons)` или `Мултиполигон(и)` включително геопространствените атрибути като `ид`, `value` и `площ` в дефинираните единици.

Ключови подробности:

* Параметър `asMultiGeometry: true` означава, че `Многоъгълници (Polygons)` (клетките на "Equation Map") ще бъдат обединени в `Мулти-многоъгълници (MultiPolygons)` на базата на `value` атрибута на всяка клетка от "Equation Map".
* Изходната площ може да бъде конфигурирана чрез `unit` параметър. Налични опции: `АКРА`,  `ХЕКТАРИ`, `КВАДРАТНИ_МЕТРИ`

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapGeometries {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        equationMapGeojson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}

Ако геометриите не се изискват (само атрибути са необходими), тогава има `attributesJson` вместо `equationMapGeojson` за използване.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapAttributes {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        attributesJson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/api-dokumenti/obsh-pregled-na-zayavkite-km-geopard-api/81.-zayavka-poluchavane-na-geojson-na-equationmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
